# gdead

Opens grateful dead soundboards and plays them in your terminal.  

## Installation

```sh
# Download
git clone https://gitea.gf4.pw/ki9/gdead.git /usr/local/src/gdead
# "Build"
ln -s /usr/local/src/gdead/gdead /usr/local/bin/gdead
```

## Usage

```
gdead [-r|--rand|--random] [-a|--aud|--audience] [year [month [day]]]
```

Takes `year`, `month`, and `day` as arguments and plays the top-rated soundboard on [archive.org](https://archive.org/details/GratefulDead).  Providing no unnamed parameters searches the entire vault.  

**NOTE**: *The date parsing is still pretty primitive so don't be an edge case: use 4-digit years and 2-digit months/days.*

### Audience recordings

By default, `gdead` only returns soundboards and matrices.  To use audience-recordings too, use the `-a` flag

### Random

To sort by random instead of rating, use the `-r` flag.  

## Examples

Play the top-rated version of Woodstock Festival, including audience-tapes:

```sh
gdead -a 1969 08 16
```

Play a random show from '72:

```sh
gdead -r 1972
```

## License

gdead - Stream Grateful Dead soundboards from archive.org\
Copyright © 2021 Keith Irwin [www.ki9.us](https://www.ki9.us/)
	
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.  

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
